### Method

# Gimp Vector2 inner_product

#### Declaration [src]

    gdouble
    gimp_vector2_inner_product (
      const GimpVector2* vector1,
      const GimpVector2* vector2
    )

#### Description [src]

Computes the inner (dot) product of two 2D vectors. This product is zero if and only if the two vectors are orthogonal.

#### Parameters

`vector2` | `GimpVector2`
| A pointer to the second `GimpVector2`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gdouble`
| The inner product.